protected/controllers/CompanyController.php
<?php

class CompanyController extends Controller {

    /**
     * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
     * using two-column layout. See 'protected/views/layouts/column2.php'.
     */
    public $layout = '//layouts/column2';

    /**
     * @return array action filters
     */
    public function filters() {
	return array(
	    'accessControl', // perform access control for CRUD operations
	    'postOnly + delete', // we only allow deletion via POST request
	);
    }

    /**
     * Displays a particular model.
     * @param integer $id the ID of the model to be displayed
     */
    public function actionView($id) {
	$this->render('view', array(
	    'model' => $this->loadModel($id),
	));
    }

    /**
     * Creates a new model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     */
    public function actionCreate() {
	$model = new Company;

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (Yii::app()->request->isPostRequest) {
	   
	   //print_r($_FILES);	   
	   $model->attributes = $_POST['Company'];
	   //$model->logo = $_FILES;
	   //echo '<pre>'; print_r($model->attributes); 
	   $model->logo = CUploadedFile::getInstance($model,'logo');
	   //print_r($model->logo->tempName); exit;
	   
	  //print_r($model->attributes); exit;
	    if ($model->save()) {
		$model->logo->saveAs(Yii::app()->basePath . '/../www/images/logo/' . $model->logo);
		
		$image = Yii::app()->image->load(Yii::app()->basePath . '/../www/images/logo/' . $model->logo);
		$image->resize(200, 200);
		$image->save();
		
		
		$this->redirect(array('view', 'id' => $model->id));
	    }
	}

	$this->render('create', array(
	    'model' => $model,
	));
    }

    /**
     * Updates a particular model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id the ID of the model to be updated
     */
    public function actionUpdate($id) {
	$model = $this->loadModel($id);

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (isset($_POST['Company'])) {
	    $model->attributes = $_POST['Company'];
	    if ($model->save())
		$this->redirect(array('view', 'id' => $model->id));
	}

	$this->render('update', array(
	    'model' => $model,
	));
    }

    /**
     * Deletes a particular model.
     * If deletion is successful, the browser will be redirected to the 'admin' page.
     * @param integer $id the ID of the model to be deleted
     */
    public function actionDelete($id) {
	$this->loadModel($id)->delete();

	// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
	if (!isset($_GET['ajax']))
	    $this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
    }

    /**
     * Lists all models.
     */
    public function actionIndex() {
	$dataProvider = new CActiveDataProvider('Company');
	$this->render('index', array(
	    'dataProvider' => $dataProvider,
	));
    }

    /**
     * Manages all models.
     */
    public function actionAdmin() {
	$model = new Company('search');
	$model->unsetAttributes();  // clear any default values
	if (isset($_GET['Company']))
	    $model->attributes = $_GET['Company'];

	$this->render('admin', array(
	    'model' => $model,
	));
    }

    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer $id the ID of the model to be loaded
     * @return Company the loaded model
     * @throws CHttpException
     */
    public function loadModel($id) {
	$model = Company::model()->findByPk($id);
	if ($model === null)
	    throw new CHttpException(404, 'The requested page does not exist.');
	return $model;
    }

    /**
     * Performs the AJAX validation.
     * @param Company $model the model to be validated
     */
    protected function performAjaxValidation($model) {
	if (isset($_POST['ajax']) && $_POST['ajax'] === 'company-form') {
	    echo CActiveForm::validate($model);
	    Yii::app()->end();
	}
    }

}

protected/controllers/ConfigController.php
<?php

class ConfigController extends Controller {
/*
    public function actionIndex() {
	$file = dirname(__FILE__) . '../../../config/params.inc';
	$content = file_get_contents($file);
	$arr = dirname(__FILE__) . '../../../config/params.inc';
	$model = new ConfigForm();
	$model->setAttributes($arr);

	if (isset($_POST['ConfigForm'])) {
	    $config = array(
		'adminEmail' => $_POST['ConfigForm']['adminEmail'],
		'paramName' => $_POST['ConfigForm']['paramName'],
	    );
	    $str = base64_encode(serialize($config));
	    file_put_contents($file, $str);
	    Yii::app()->user->setFlash('config', Yii::t('app', 'Your new options have been saved.'));
	    $model->setAttributes($config);
	}

	$this->render('index', array('model' => $model));
    }
    */
    public function actionIndex() {
	
	//echo Yii::app()->config->getConfig();
	//$a = new FileConfig();
	//echo $a->getValue('language');
	print_r(MyHelper::getParamValue('languages')) ;
	
	
	
    }
    
    

}

?>

protected/controllers/TaxController.php
<?php

class TaxController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
			'postOnly + delete', // we only allow deletion via POST request
		);
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Tax;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Tax']))
		{
			$model->attributes=$_POST['Tax'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	public function actionUpdate($id)
	{
		$model=$this->loadModel($id);

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Tax']))
		{
			$model->attributes=$_POST['Tax'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		$this->loadModel($id)->delete();

		// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
		if(!isset($_GET['ajax']))
			$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Tax');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Tax('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Tax']))
			$model->attributes=$_GET['Tax'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer $id the ID of the model to be loaded
	 * @return Tax the loaded model
	 * @throws CHttpException
	 */
	public function loadModel($id)
	{
		$model=Tax::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param Tax $model the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tax-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}

protected/controllers/UserController.php
<?php

class UserController extends Controller {

    /**
     * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
     * using two-column layout. See 'protected/views/layouts/column2.php'.
     */
    public $layout = '//layouts/column2';

    /**
     * @return array action filters
     */
    public function filters() {
	return array(
	    'accessControl', // perform access control for CRUD operations
	    'postOnly + delete', // we only allow deletion via POST request
	);
    }

    /**
     * Displays a particular model.
     * @param integer $id the ID of the model to be displayed
     */
    public function actionView($id) {
	$this->render('view', array(
	    'model' => $this->loadModel($id),
	));
    }

    /**
     * Creates a new model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     */
    public function actionCreate() {
	$model = new User;
	$setting = new Setting;

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (isset($_POST['User'])) {
	    $model->attributes = $_POST['User'];

	    $model->setAttributes(array('register_date' => date('Y-m-d H:i:s'),
		'last_login' => date('Y-m-d H:i:s'),
	    ));
	    $model->user_id = uniqid();
	    $model->parent_id = Yii::app()->user->id;
	    $model->password = md5($model->password);
	    $setting->user_id = Yii::app()->user->id;
	    if ($model->save()) {
		$setting->save();
		$this->redirect(array('view', 'id' => $model->id));
	    }
		
	}

	$this->render('create', array(
	    'model' => $model,
	));
    }

    /**
     * Updates a particular model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id the ID of the model to be updated
     */
    public function actionUpdate($id) {
	$model = $this->loadModel($id);

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (isset($_POST['User'])) {
	    $model->attributes = $_POST['User'];
	    if ($model->save())
		$this->redirect(array('view', 'id' => $model->id));
	}

	$this->render('update', array(
	    'model' => $model,
	));
    }

    /**
     * Deletes a particular model.
     * If deletion is successful, the browser will be redirected to the 'admin' page.
     * @param integer $id the ID of the model to be deleted
     */
    public function actionDelete($id) {
	$this->loadModel($id)->delete();

	// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
	if (!isset($_GET['ajax']))
	    $this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
    }

    /**
     * Lists all models.
     */
    public function actionIndex() {
	$model = new User('search');
	$model->unsetAttributes();
	$dataProvider = new CActiveDataProvider('User');
	$this->render('admin', array(
	    'dataProvider' => $dataProvider,
	    'model' => $model,
	));
    }

    /**
     * Manages all models.
     */
    public function actionAdmin() {
	$model = new User('search');
	$model->unsetAttributes();  // clear any default values
	if (isset($_GET['User']))
	    $model->attributes = $_GET['User'];

	$this->render('admin', array(
	    'model' => $model,
	));
    }

    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer $id the ID of the model to be loaded
     * @return User the loaded model
     * @throws CHttpException
     */
    public function loadModel($id) {
	$model = User::model()->findByPk($id);
	if ($model === null)
	    throw new CHttpException(404, 'The requested page does not exist.');
	return $model;
    }

    /**
     * Performs the AJAX validation.
     * @param User $model the model to be validated
     */
    protected function performAjaxValidation($model) {
	if (isset($_POST['ajax']) && $_POST['ajax'] === 'user-form') {
	    echo CActiveForm::validate($model);
	    Yii::app()->end();
	}
    }

}

protected/views/layouts/column1.php
<?php /* @var $this Controller */ ?>
<?php $this->beginContent('//layouts/main'); ?>
<div id="content">
	<?php echo $content; ?>
</div><!-- content -->
<?php $this->endContent(); ?>

protected/views/layouts/column2.php
<?php /* @var $this Controller */ ?>
<?php $this->beginContent('//layouts/main'); ?>
<div class="span-19">
    <div id="content">
	<?php echo $content; ?>
    </div><!-- content -->
</div>
<div class="span-5 last">
    <div id="sidebar">
	<?php
	if (Yii::app()->user->role != 5) {

	    $this->beginWidget('zii.widgets.CPortlet', array(
		'title' => 'Operations',
	    ));
	    //echo Yii::app()->user->role;
	    //$this->widget('UserMenu');
	    //} else {
	    $this->widget('zii.widgets.CMenu', array(
		'items' => $this->menu,
		'htmlOptions' => array('class' => 'operations'),
	    ));



	    $this->endWidget();
	}
	?>
    </div><!-- sidebar -->
</div>
<?php $this->endContent(); ?>

protected/views/layouts/main.php
<?php /* @var $this Controller */ ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="en" />

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print" />
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection" />
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/invoice.css" />

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
    </head>

    <body>

	<div class="container" id="page">

	    <div id="header">
		<div id="logo"><?php echo CHtml::encode(Yii::app()->name); ?></div>
		<div  id="language-selector" style="float:right; margin:5px;">
		    <?php
		    $this->widget('application.components.widgets.LanguageSelector');
		    ?>
		</div>
	    </div><!-- header -->

	    <div id="mainmenu">
		<?php
		//echo Yii::app()->user->role;
		$this->widget('zii.widgets.CMenu', array(
		    'items' => array(
			array('label' => Yii::t('lang', 'Home'),
			    'url' => array('/site/index'),
			    'visible' => Yii::app()->user->checkAccess('4')
			),
			array('label' => Yii::t('lang', 'Clients'),
			    'url' => array('/user/index'),
			    'visible' => Yii::app()->user->checkAccess('3')
			),
			array('label' => Yii::t('lang', 'Invoice'),
			    'url' => array('/invoice/index'),
			    'visible' => Yii::app()->user->checkAccess('5')
			),
			array('label' => Yii::t('lang', 'Companies'), 
			    'url' => array('/company/index'),
			    'visible' => Yii::app()->user->checkAccess('1')
			),
			array('label' => Yii::t('lang', 'Services'), 
			    'url' => array('/service/index'),
			    'visible' => Yii::app()->user->checkAccess('1')
			),
			array('label' => Yii::t('lang', 'Taxes'), 
			    'url' => array('/tax/index'),
			    'visible' => Yii::app()->user->checkAccess('2')
			),
			/*
			array('label' => Yii::t('lang', 'Credits'), 
			    'url' => array('/site/aa'),
			    'visible' => Yii::app()->user->checkAccess('2')
			),
			array('label' => Yii::t('lang','Users'), 
			    'url' => array('/user/index'),
			    'visible' => Yii::app()->user->checkAccess('3')
			),
			 * */
			 
			array('label' => Yii::t('lang', 'Settings'), 
			    'url' => array('/setting/update'),
			    'visible' => Yii::app()->user->checkAccess('4')
			),
			/*
			array('label' => Yii::t('lang', 'Configuration'), 
			    'url' => array('/config/index'),
			    'visible' => Yii::app()->user->checkAccess('1')
			),*/
			/*array('label' => Yii::t('lang', 'About'), 
			    'url' => array('/site/page',
			    'view' => 'about'), 
			    'visible' => Yii::app()->user->checkAccess('1')
			),
			array('label' => Yii::t('lang', 'Contact'), 
			    'url' => array('/site/contact'),
			    'visible' => Yii::app()->user->checkAccess('1')
			),*/
			array('label' => Yii::t('lang', 'Login'), 
			    'url' => array('/site/login'), 
			    'visible' => Yii::app()->user->isGuest
			),
			array('label' => 'Logout (' . Yii::app()->user->name . ')', 
			    'url' => array('/site/logout'), 
			    'visible' => !Yii::app()->user->isGuest
			)
		    ),
		));
		?>
		<?php /* $this->widget('zii.widgets.CMenu',array(
		  'items'=>array(
		  array('label'=>'Clients', 'url'=>array('/site/index')),
		  array('label'=>'About', 'url'=>array('/site/page', 'view'=>'about')),
		  array('label'=>'Contact', 'url'=>array('/site/contact')),
		  array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
		  array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)
		  ),
		  )); */ ?>
	    </div><!-- mainmenu -->
	    <?php if (isset($this->breadcrumbs)): ?>
		<?php
		$this->widget('zii.widgets.CBreadcrumbs', array(
		    'links' => $this->breadcrumbs,
		));
		?><!-- breadcrumbs -->
	    <?php endif ?>

	    <?php echo $content; ?>

	    <div class="clear"></div>

	    <div id="footer">
		Copyright &copy; <?php echo date('Y'); ?> by My Company.<br/>
		All Rights Reserved.<br/>
		<?php echo Yii::powered(); ?>
	    </div><!-- footer -->

	</div><!-- page -->

    </body>
</html>